.gba
.open "ZM_U.gba","ZM_U_debugMenu.gba",0x8000000

.include "symbols.asm"

 ; new functions
.org 0x8304054  ; Crocomire graphics
.area 0x3094
    .include "functions\sub_806ABE0.asm"
    .include "functions\MainLoopForPauseScreen.asm"
    .include "functions\LoadStatusScreen.asm"
    .include "functions\CloseStatusScreen.asm"
    .include "functions\sub_806C9F4.asm"
    .include "functions\sub_806CA30.asm"
    .include "functions\UpdateMapOverlay.asm"
    .include "functions\ActivateAllAbilities.asm"
    .include "functions\OnDebugMenu.asm"
    .include "functions\DebugMenuToggleEquipment.asm"
    .include "functions\OnMainDebugMenu.asm"
    .include "functions\DebugMenuDrawAbilityRegion.asm"
    .include "functions\DebugMenuDrawAffectedRegions.asm"
    .include "functions\DebugMenuEnergyAndAmmo.asm"
    .include "functions\sub_807180C.asm"
    .include "functions\DebugMenuDrawEnergyAndAmmoRegion.asm"
    .include "functions\DebugMenuDrawEnergyAndAmmoNum.asm"
    .include "functions\DebugMenuEquipTank.asm"
    .include "functions\sub_8071F58.asm"
    .include "functions\sub_8071F7C.asm"
    .include "functions\UpdateEventList.asm"
    .include "functions\OnDebugEventList.asm"
    .include "functions\HandleDebugEventInput.asm"
    .include "functions\DrawEventName.asm"
    .include "functions\sub_8078890.asm"    
.endarea

; fix function calls
.org 0x806A1F0
    bl      sub_806ABE0
.org 0x806A1FC
    bl      MainLoopForPauseScreen
.org 0x806A29A
    bl      MainLoopForPauseScreen

; new data
.org 0x8760D38  ; end of rom
    .include "data\new_data.asm"

; remove to use original debug menu text
.org DebugMenuTileTable
    .import "data\DebugMenuTileTable_en.lz"

.close
